# !/usr/bin/perl
# Copy dvd with dvdbackup

sub trim {
    my $s = shift;
    $s =~ s/^\s+|\s+$//g;
    return $s
}

sub printHelp {
    print "Usage: $0 [source]

    source: dvd device to rip from. Default: /dev/cdrom"
}

my $source = "/dev/cdrom";
if($ARGV[0] eq "help" || $ARGV[0] eq "--help"){
    printHelp;
    exit 0;
} elsif($ARGV[0]) {
    $source = $ARGV[0];
}

my $dest = "/home/julian/Videos/dvds/";
my $title = trim `lsdvd /dev/cdrom | grep "Disc Title" | sed 's/Disc Title: //'`;

print "Ripping dvd $title ($source) to $dest";

my $exitcode = system("dvdbackup -i $source -o $dest -M -n $title");
# $exitcode >>= 8;

if($exitcode == 0) {
    print "Success!";
}

`notify-send "DVD $title ripped successfully!!!"`;
# `eject $source`;

